<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
  
require('load_this/load_bigware_11.php');

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>

<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/menu.js"></script>
<script language="javascript" src="load_this/general.js"></script>
<script language="javascript" src="tiny_mce/tiny_mce.js"></script>
<script language="javascript" src="tiny_mce/tiny_mce_init.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="10" cellpadding="10">
  <tr>
    <td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td>
    
    <td class="pageGeneralsign" valign="top">
    
<?php
 $languages = go_get_languages();
 if (isset($_POST['flag'])) {
   for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
            $language_id = $languages[$i]['id']; 
            $sql_data_array = array(
            	'text'=>go_db_producing_input($_POST['give_back_text'.$language_id]),
            	'language_id' => $language_id
            );
	  $upload = 'return_request'.$language_id;	
            if (is_uploaded_file($_FILES[$upload]['tmp_name'])){
            	$sql_data_array['name'] = $_FILES[$upload]['name'];
		 $tmpName  = $_FILES[$upload]['tmp_name'];
		 $sql_data_array['size'] = $_FILES[$upload]['size'];
		 $sql_data_array['type'] = $_FILES[$upload]['type'];
		 $fp      = fopen($tmpName, 'r');
		 $sql_data_array['content'] = fread($fp, filesize($tmpName));
		 fclose($fp);
            }
    $existing_give_back_text = go_db_query("select id,language_id from info_give_back where id=1 and language_id='".$language_id."'"); 
    if (go_db_fetch_array($existing_give_back_text)) {
        go_db_carry('info_give_back', $sql_data_array, 'update', "id = 1 and language_id='".(int)$language_id."'");
        $messageStack->add_session(SUCCESS_PAGE_UPDATED, 'success');
       } 
       else { 
         $sql_data_array_pages_id = array('id'=>1);
         $sql_data_array = array_merge($sql_data_array,$sql_data_array_pages_id);
     
         go_db_carry('info_give_back', $sql_data_array);
      
         $messageStack->add_session(SUCCESS_PAGE_INSERTED, 'success');
       }
                             
  }//lang
 }//POST 
 elseif (isset($_GET['action']) && $_GET['action'] == "delete"){
 	 $sql_data_array = array(
 	 	 "language_id"=>(int)$_GET['language_id'],
 	 	 "name"=>"",
 	 	 "size"=>"",
 	 	 "type"=>"",
 	 	 "content"=>""
 	 );	 
           // go_db_carry('info_give_back', $sql_data_array, 'update', "id = 1 and language_id='".(int)$language_id."'");
 	  go_db_carry('info_give_back', $sql_data_array, 'update', "id = 1 and language_id=".(int)$_GET['language_id']);

 }	 
?>
<form name="aboutusform" method="Post" action="" enctype="multipart/form-data">
<tr>
 <td width="570" valign="top" style="font-family: Arial"><b><?php echo SITE_TITLE; ?></b></td>
</tr>
<tr>
 <td class="smallText" width="570" valign="top" colspan="2"><?php echo TEXT_INFO; ?>
 </td>
</tr>  
<?php 
  $sql=go_db_query("SELECT * FROM info_give_back where id=1 ");
  $dd = array();
  while ( $row=go_db_fetch_array($sql)){
      	  $dd[$row['language_id']] =$row; 
  };
for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
	$language_id =  $languages[$i]['id'];
	$r = isset($dd[$language_id])?$dd[$language_id]:array() ;
	//$give_back_text[$languages[$i]['id']] = go_get_give_back_text('1', $languages[$i]['id']);
	$text = isset($r['Text'])? $r['Text']: "" ;
	echo '<tr><td colspan="2">';
	echo go_picture(FOLDER_RELATIV_LANG_TEMPLATES . $languages[$i]['directory'] . '/picture/' . $languages[$i]['picture'], $languages[$i]['name']) . '&nbsp;';
	echo '</br>';
	echo '<textarea class="mce" name="give_back_text'.$languages[$i]['id'].'" cols="50" rows="15">'.$text.'</textarea>';
	echo '</td></tr>';
	echo '<tr><td colspan="2">';
	if (empty($dd[$language_id]['name'])){
	   echo '<input type="hidden" name="MAX_FILE_SIZE" value="600000">';
	   echo  '<input type="file" name="return_request'.$languages[$i]['id'].'" />(Max. 500K)';
	}else{
	    echo $r['name']."(size:.".$r['size'].') [<a href="'.  go_href_link(basename(__FILE__).'?action=delete&language_id='.$language_id).'">delete]</a>';
	}
	echo '</td></tr>';
	
} 
?>
<tr>
  <td colspan="2">
   <input type="hidden" name="flag">
   </td>
</tr>
<tr>
  <td align="right">
  
<?php echo go_picture_submit('button_update.gif', PICTURE_UPDATE); ?></td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td colspan="2">&nbsp;</td>
</tr>
</form>
</table>
<br>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<p>�</p>
<p>�</p><p><br>
</p></body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
